# General Packet Definitions

This table lists some general packet IDs that may be shared among various devices. Click on the packet name to go to the payload definition for that packet type.

| Packet Name                                                                                                   | Packet ID |
| ------------------------------------------------------------------------------------------------------------- | --------- |
| [NOP](/c/cerulean-ping-protocol/general-packet-definitions/nop.md)                                            | 0         |
| [ACK](/c/cerulean-ping-protocol/general-packet-definitions/ack.md)                                            | 1         |
| [NACK](/c/cerulean-ping-protocol/general-packet-definitions/nack.md)                                          | 2         |
| [ASCII\_TEXT](/c/cerulean-ping-protocol/general-packet-definitions/ascii_text.md)                             | 3         |
| [DEVICE\_INFORMATION](/c/cerulean-ping-protocol/general-packet-definitions/device_information.md)             | 4         |
| [JSON\_WRAPPER](/c/cerulean-ping-protocol/general-packet-definitions/json_wrapper.md)                         | 10        |
| [NMEA\_WRAPPER](/c/cerulean-ping-protocol/general-packet-definitions/nmea_wrapper.md)                         | 109       |
| [MAVLINK\_WRAPPER](/c/cerulean-ping-protocol/general-packet-definitions/mavlink_wrapper.md)                   | 150       |
| [SYNC\_CHANNEL\_NUMBER](/c/cerulean-ping-protocol/general-packet-definitions/sync_channel_number.md)          | 169       |
| [SET\_SYNC\_CHANNEL\_NUMBER](/c/cerulean-ping-protocol/general-packet-definitions/set_sync_channel_number.md) | 170       |
|                                                                                                               |           |
|                                                                                                               |           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ceruleansonar.com/c/cerulean-ping-protocol/general-packet-definitions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
